# Created by pyp2rpm-3.3.2
%global pypi_name rebound-cli

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Command-line tool that automatically fetches Stack Overflow results after compiler errors

License:        MIT
URL:            https://github.com/shobrook/rebound
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(beautifulsoup4)
Requires:       python3dist(requests)
Requires:       python3dist(setuptools)
Requires:       python3dist(urllib3)
Requires:       python3dist(urwid)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/rebound
%{python3_sitelib}/rebound
%{python3_sitelib}/rebound_cli-%{version}-py?.?.egg-info

%changelog
* Tue Aug 06 2019 mockbuilder - 2.0.0-1
- Initial package.